try {
    const updateManager = window["qg"].getUpdateManager();
    //检测是否有可更新版本
    updateManager.onCheckForUpdate(function (res) {
        console.log('onCheckForUpdate', res)
        // 请求完新版本信息的回调
        if (res.hasUpdate) {
            // updateManager.applyRpkUpdate();
        } else {
            // qg.showToast({ title: "没有可更新版本", icon: "none", duration: 2000 });
        }
    });

    updateManager.onUpdateReady(function () {
        qg.showModal({
            title: '更新提示',
            content: '新版本已经准备好，请重启应用.',
            showCancel: false,
            success: function (res) {
                // if (res.confirm) {
                // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
                updateManager.applyUpdate()
                // }
            }
        })
    })
} catch (error) {
    console.warn(error)
}
